Package com.avaya.clientservices.call

## Enum CallRecordingState

- java.lang.Object
- - java.lang.Enum<CallRecordingState>
  - - com.avaya.clientservices.call.CallRecordingState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallRecordingState>`

      public enum CallRecordingState
      extends java.lang.Enum<CallRecordingState>

  Enumeration representing the call recording state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `OFF` | Recording is off, or is not supported.
    `ON` | Recording is on.
    `PAUSED` | Recording is paused.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallRecordingState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallRecordingState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final CallRecordingState OFF

      Recording is off, or is not supported.

    - #### ON

          public static final CallRecordingState ON

      Recording is on.

    - #### PAUSED

          public static final CallRecordingState PAUSED

      Recording is paused.

  - ### Method Detail

    - #### values

          public static CallRecordingState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallRecordingState c : CallRecordingState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallRecordingState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null